use crate::ast::Fqn;
use crate::compile::declared_type::DeclaredType;

pub struct Symbol {
    fqn: Fqn,
    declared_type: DeclaredType,
}

impl Symbol {
    pub fn fqn(&self) -> &Fqn {
        &self.fqn
    }

    pub fn declared_type(&self) -> &DeclaredType {
        &self.declared_type
    }
}
